"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""
from typing import Dict


async def get(
    hub,
    ctx,
    assessment_id: str,
    control_set_id: str,
    evidence_folder_id: str,
    next_token: str = None,
    max_results: int = None,
) -> Dict:
    r"""
    **Autogenerated function**

     Returns all evidence from a specified evidence folder in Audit Manager.

    Args:
        assessment_id(str):  The identifier for the specified assessment. .
        control_set_id(str):  The identifier for the control set. .
        evidence_folder_id(str):  The unique identifier for the folder in which the evidence is stored. .
        next_token(str, optional):  The pagination token used to fetch the next set of results. . Defaults to None.
        max_results(int, optional):  Represents the maximum number of results per page, or per API request call. . Defaults to None.

    Returns:
        Dict

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.aws_auto.auditmanager.evidence.by_evidence_folder.get(
                ctx, assessment_id=value, control_set_id=value, evidence_folder_id=value
            )

        Call from CLI:

        .. code-block:: bash

            $ idem exec aws_auto.auditmanager.evidence.by_evidence_folder.get assessment_id=value, control_set_id=value, evidence_folder_id=value
    """
    return await hub.tool.aws.client.exec(
        ctx,
        service_name="auditmanager",
        operation="get_evidence_by_evidence_folder",
        op_kwargs={
            "assessmentId": assessment_id,
            "controlSetId": control_set_id,
            "evidenceFolderId": evidence_folder_id,
            "nextToken": next_token,
            "maxResults": max_results,
        },
    )
